<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.iocoder.yudao.module.inspection.mapper.InspectionStepInfoMapper">

    <select id="listByInspectionInfoId" resultType="cn.iocoder.yudao.module.inspection.entity.InspectionStepInfo"
            parameterType="java.lang.Long">
        SELECT isi.* ,u.nickname AS nickname
        FROM inspection_step_info isi
                 LEFT JOIN system_users u ON u.id = isi.creator
        WHERE isi.inspection_info_id = #{inspectionInfoId}
    </select>
</mapper>
